import { ScopedEventEmitter } from '../util/events';

export class ChannelManager {
  constructor(private stream: ScopedEventEmitter) {}

  public initialize(configured: any[]): void {
    for (const event of ['message', 'event', 'special']) {
      this.stream.on('channel', event, (...data: any[]) => {
        // TODO: pass messages between channels
      });
    }
  }
}
