import * as path from 'path';

import { Configuration } from './config';
import { IEnvironment } from './environment';

export class PluginConfiguration extends Configuration {
  constructor(env: IEnvironment, name: string) {
    super(env, path.join(env.configurationPath, name + '.json'));
  }
}
